#ifndef INC_TESTBED_H

#include <TChar.h>
#include <Windows.h>
#include <StdIO.h>
#include <SetupAPI.h>
#include <StdArg.h>

#define BUFSIZE		10240
#define WNDCLASSNAME	TEXT("TestBed")


void	MbErr( BOOL bKillApp, TCHAR *szMsg); // message box & optionally kill ap

int	log( TCHAR *szFormat, ...); // printf
int	logln( TCHAR *szFormat, ...); // printf - line feed
int	logwe( TCHAR *szFormat, ...); // printf -> windows error
int	logerr( DWORD dwWinError, TCHAR *szFormat, ...);

int	logerrargs( DWORD dwWinError, TCHAR *szFormat, va_list args);
int	logargs( TCHAR *szFormat, va_list args);


HWND	GetMainWnd( void);	// handle to the main window


#ifdef __cplusplus
extern "C" {
#endif

int	TestFunction( void);

#ifdef __cplusplus
}
#endif

#define INC_TESTBED_H
#endif